kfilemetadata-kf5 (5.54.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:01:15 +0800

kfilemetadata-kf5 (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Add test missing dependency
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:48 -0300

kfilemetadata-kf5 (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:48 +0100

kfilemetadata-kf5 (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:29 +0200

kfilemetadata-kf5 (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:09:09 +0200

kfilemetadata-kf5 (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Update install files
  * testsuite: Run tests one at the time
  * Add new patch:
    usermetadatawritertest-skip-if-xattr-is-not-supported.patch
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:55 +0200

kfilemetadata-kf5 (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:25 +0200

kfilemetadata-kf5 (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:46 +0100

kfilemetadata-kf5 (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:30 +0100

kfilemetadata-kf5 (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:49 +0100

kfilemetadata-kf5 (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:10 +0100

kfilemetadata-kf5 (5.41.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (5.41)
  * Release to experimental

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate libqt5sql5-sqlite with :native. (Closes: 883243)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:34 -0300

kfilemetadata-kf5 (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:45:11 +0000

kfilemetadata-kf5 (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:56:58 +0000

kfilemetadata-kf5 (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:41:44 +0000

kfilemetadata-kf5 (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:29 +0000

kfilemetadata-kf5 (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:06 +0200

kfilemetadata-kf5 (5.37.0-1) experimental; urgency=medium

  * Build the qch files
  * Add libkf5filemetadata-doc package for the qch files
  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:59 +0200

kfilemetadata-kf5 (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:12:48 +0000

kfilemetadata-kf5 (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Update install files
  * Let autopkgtest take care of the build required for the test
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:55 +0200

kfilemetadata-kf5 (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:26 +0000

kfilemetadata-kf5 (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:40 +0000

kfilemetadata-kf5 (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:35:38 +0000

kfilemetadata-kf5 (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:22:26 +0000

kfilemetadata-kf5 (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:21:33 +0000

kfilemetadata-kf5 (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:35:05 +0000

kfilemetadata-kf5 (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:40:09 +0000

kfilemetadata-kf5 (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:06:49 +0000

kfilemetadata-kf5 (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:04:32 +0100

kfilemetadata-kf5 (5.28.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Nov 2016 09:44:44 +0000

kfilemetadata-kf5 (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:01:03 +0200

kfilemetadata-kf5 (5.27.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Oct 2016 11:30:28 +0000

kfilemetadata-kf5 (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:59:32 +0200

kfilemetadata-kf5 (5.26.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2016 08:30:23 +0000

kfilemetadata-kf5 (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Aug 2016 09:09:50 +0200

kfilemetadata-kf5 (5.25.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2016 12:11:08 +0000

kfilemetadata-kf5 (5.24.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2016 07:41:47 +0000

kfilemetadata-kf5 (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 18:50:16 +0200

kfilemetadata-kf5 (5.23.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2016 09:39:34 +0000

kfilemetadata-kf5 (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 16:10:06 +0200

kfilemetadata-kf5 (5.22.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 May 2016 07:35:51 +0000

kfilemetadata-kf5 (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update the vcs entries, kfilemetadata is a framework
  * Update acc test script

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 May 2016 15:20:50 +0200

kfilemetadata-kf5 (5.21.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2016 09:22:16 +0000

kfilemetadata-kf5 (5.20.0-0neon) wily; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 01 Apr 2016 11:06:07 +0000

kfilemetadata-kf5 (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:23 +0100

kfilemetadata-kf5 (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:17 +0100

kfilemetadata-kf5 (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:35 +0100

kfilemetadata-kf5 (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:35 +0200

kfilemetadata-kf5 (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:38 +0100

kfilemetadata-kf5 (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport.

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:48:18 +0100

kfilemetadata-kf5 (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:28 +0200

kfilemetadata-kf5 (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:16:36 +0100

kfilemetadata-kf5 (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 14:40:58 +0200

kfilemetadata-kf5 (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:06:05 +0200

kfilemetadata-kf5 (5.9.2-2) unstable; urgency=medium

  * Add the missing Breaks/Replaces. (Closes: #788582)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 14:07:58 +0200

kfilemetadata-kf5 (5.9.2-1) unstable; urgency=medium

  * New upstream release (5.9.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 20:38:02 +0200

kfilemetadata-kf5 (5.9.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:27:10 +0000

kfilemetadata-kf5 (5.9.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Jun 2015 20:22:09 +0200

kfilemetadata-kf5 (5.6.2-0ubuntu1.1) vivid; urgency=medium

  * Add runtime depends on catdoc LP: #1449472

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Apr 2015 12:05:35 +0200

kfilemetadata-kf5 (5.6.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Release to Archive

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 19 Mar 2015 21:25:01 -0700

kfilemetadata-kf5 (5.9.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.9.0).
  * Update symbols files.
  * New upstream release (5.9.1).

  [ Felix Geyer ]
  * Move qtbase5-dev dependency from libkf5filemetadata3 to
    libkf5filemetadata-dev. (Closes: #789655)
  * Remove XS-Testsuite control field, dpkg adds it automatically.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 23:39:04 +0200

kfilemetadata-kf5 (5.6.2-1) experimental; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Maximiliano Curia ]
  * Prepare Debian release. (5.6.1-1)
  * New upstream release (5.6.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:38 +0100

kfilemetadata-kf5 (5.6.1-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Resolve transitional problems from lib2 to lib3 package with
    APT. Apt would refuse to upgrade the new (re-introduced) data
    package as it replaces and breaks the lib2 package and for some
    reason Apt considers the data package to be less useful, so it
    will hold lib2 and not upgrade which in turn results in the
    removal of plama-desktop & plasma-workspace as they need lib3.
    To prevent this problem also replicate the transition relationship
    onto the lib3 package (now breaks/replaces the lib2 package). This
    seems to give a sufficiently important package the breaks such
    that apt would choose to remove lib2 and install lib3.
    This transition is slightly unfortunate alltogether as it only
    ended up being so complicated by having data in the lib package
    to begin with.
  * Also soften the transitional relationship of the -data package.
    Originally it had use Conflicts where it should have used Breaks
    because files had simply moved about, there is no inherent conflict.

  [ Scarlett Clark ]
  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Mon, 23 Feb 2015 09:52:52 -0800

kfilemetadata-kf5 (5.6.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Resolve transitional problems from lib2 to lib3 package with
    APT. Apt would refuse to upgrade the new (re-introduced) data
    package as it replaces and breaks the lib2 package and for some
    reason Apt considers the data package to be less useful, so it
    will hold lib2 and not upgrade which in turn results in the
    removal of plama-desktop & plasma-workspace as they need lib3.
    To prevent this problem also replicate the transition relationship
    onto the lib3 package (now breaks/replaces the lib2 package). This
    seems to give a sufficiently important package the breaks such
    that apt would choose to remove lib2 and install lib3.
    This transition is slightly unfortunate alltogether as it only
    ended up being so complicated by having data in the lib package
    to begin with.
  * Also soften the transitional relationship of the -data package.
    Originally it had use Conflicts where it should have used Breaks
    because files had simply moved about, there is no inherent conflict.

  [ Maximiliano Curia ]
  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Add acc autopkgtests.
  * Update watch file.
  * Add missing dev dependency (thanks to acc headers check)
  * Add breaks/replaces with kde-l10n for the translation files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 07 Feb 2015 11:49:56 +0100

kfilemetadata-kf5 (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Soversion bump from 2 to 3
  * Rename all packages accordingly
  * Fix up install file accordingly
  * Fix Replace/Conflict of the library package libkf5filemetadata5
    (a previously incorrectly used name) to use an actual version,
    otherwise we cannot ever go there again
  * Split translations into a data package to avoid file conflicts on
    soversion bumps and subsequently forgetting to add a conflict in the
    packaging

 -- Harald Sitter <sitter@kde.org>  Mon, 26 Jan 2015 13:58:41 +0100

kfilemetadata-kf5 (5.5.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 13:56:26 +0100

kfilemetadata-kf5 (5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:43:03 +0100

kfilemetadata-kf5 (5.0.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Rename -dev package without version for consistency.
  * Add replace/ break to the old package.
  * Remove no-human-maintainers lintian-override per ScottK

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 07:04:40 -0700

kfilemetadata-kf5 (5.0.0a-0ubuntu1) utopic; urgency=medium

  * Upload to Ubuntu archive to upgrade Baloo to KF5
  * Rename source to allow kdelibs4 version to co-exist

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jul 2014 17:20:53 +0200

kfilemetadata (5.0.0a-0ubuntu1~ubuntu14.10~ppa4) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update install file
  * Remove -data package
  * Fix Vcs
  * Add Replace -data
  * New upstream tarball
  * Add new lib
  * Add replace/conflict to resolve file conflict on install
  * Update watch to http://download.kde.org

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 21:17:20 +0200

kfilemetadata (4:4.98.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream RC release
  * Upstream renamed to kfilemetadata

  [ Scarlett Clark ]
  * Fix install files, rename package to match lib.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 14:36:36 +0200

kfilemetadata5 (4:4.97.0-0ubuntu1) utopic; urgency=medium

  * Initial release.
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:22:00 +0100
